import java.util.ArrayList;

/**
 * Getting the information of customer
 * @author Milad & Ali
 * @version 1.0
 */
public class Customer {
    private String name;
    private String ID;
    private int balance;
    private ArrayList<Order> orders ;

    /**
     * @param name name of customer
     * @param ID ID of customer
     * @param balance balance of customer
     */
    public Customer (String name , String ID , int balance){
        this.ID = ID;
        this.name = name;
        this.balance = balance;
        orders = new ArrayList<>();
    }

    /**
     * adding the balance of customer
     * @param money money to be added to balance of customer
     */
    public void addBalance(int money){

        this.balance += money;
    }

    /**
     * @param order order for adding to customer's orders
     */
    public void addOrder (Order order){

        this.orders.add(order);
    }

    /**
     * @return an Arraylist of customer's orders
     */
    public ArrayList<Order> getOrders() {

        return orders;
    }

    /**
     * @return balance of customer
     */
    public int getBalance() {

        return balance;
    }

    /**
     * @return getting the ID of customer
     */
    public String getID() {
        return ID;
    }

    /**
     * @return getting the name of customer
     */
    public String getName() {

        return name;
    }

    /**
     * Check if price of order is lesser than the balance
     * of customer to add it to customer orders
     * @param order order to add to Arraylist
     */
    public void submitOrder(Order order){
        if (order.calculateOrderPrice() > balance)
            return;
        if (order.getStatus().equals("submitted"))
            return;
        order.setPendingToSubmitted();
        this.balance -= order.calculateOrderPrice();
        ArrayList <Seat> help = order.getSeats();
        ArrayList <Seat> help2 = order.getFlight().getAirplane().getSeats();
        for (int i = 0; i < help.size(); i++) {
            for (int j = 0; j < help2.size(); j++) {
                if (help2.get(j).getSeatNum() == help.get(i).getSeatNum()){
                    help2.get(j).setPendingToSubmitted();
                    break;
                }
            }
        }
    }
}
