import java.util.ArrayList;

/**
 * Getting the details of order
 * @author Milad & Ali
 * @version 1.0
 */
public class Order {
    private Flight flight;
    private int serialNumber;
    private String status;
    private ArrayList<Seat> seats ;

    /**
     * @param flight the flight for booking
     * @param serialNumber the serialNumber of order
     */
    public Order (Flight flight , int serialNumber){
        this.flight = flight;
        this.serialNumber = serialNumber;
        seats = new ArrayList<>();
        status = "pending";
    }

    /**
     * check if the seatNum given is free in flight to book
     * @param seatNum the ID of seat
     */
    public void addSeat (int seatNum){
        for (int i = 0; i < flight.getAirplane().getSeats().size(); i++) {
            if(flight.getAirplane().getSeats().get(i).getSeatNum() == seatNum){
                this.seats.add(flight.getAirplane().getSeats().get(i));
            }
        }
    }

    /**
     * @return the status of order
     */
    public String getStatus()
    {
        return status;
    }

    /**
     * @return the seats of order
     */
    public ArrayList<Seat> getSeats()
    {
        return seats;
    }

    /**
     * @return the flight of order
     */
    public Flight getFlight() {

        return flight;
    }

    /**
     * @return serial number of seat
     */
    public int getSerialNumber() {

        return serialNumber;
    }

    /**
     * changing the status of order
     */
    public void setPendingToSubmitted(){

        this.status = "submitted";
    }

    /**
     * @return the price of order
     */
    public int calculateOrderPrice(){
        int sum = 0;
        for (int i = 0; i < seats.size(); i++) {
            sum += seats.get(i).getPrice();
        }
        return sum;
    }
}
